Bug 469988 - get_distro_upgrades should use http://mirrors.fedoraproject.org/releases.txt
get_distro_upgrades should use http://mirrors.fedoraproject.org/releases.txt
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
12
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 529352
  Show dependency treegraph
 
Reported: 2008-11-04 20:53 EST by Will Woods
Modified: 2010-12-05 02:06 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:06:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Will Woods 2008-11-04 20:53:53 EST
PackageKit's yumBackend checks for new Fedora releases by installing the preupgrade package and examining /usr/share/preupgrade/releases.list.

Newer versions of preupgrade don't ship this file, and instead check http://mirrors.fedoraproject.org/releases.txt for the current list of Fedora releases.

PackageKit should do the same.
Comment 1 Richard Hughes 2008-11-05 02:51:08 EST
Can we still ship releases.list in preupgrade during F10 please, as I've not tested what happens when PackageKit installs preupgrade, and then the file is not found. I certainly can't fix and test this before F10 GA.
Comment 2 Will Woods 2008-11-05 09:52:34 EST
Yeah, it'll ship in preupgrade-0.9.9 and later, at least until this is fixed.

N.B. that it ships as /usr/share/preupgrade/releases.list, but preupgrade ignores that. It *will* read /usr/share/preupgrade/releases.txt if one is created.
Comment 3 Bug Zapper 2008-11-25 23:47:35 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 iarly selbir 2009-03-02 18:48:36 EST
Just to keep alive.

If anyone won't reply in one month, I will have to close this bug.


-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 iarly selbir 2009-03-02 19:32:54 EST
Sorry, please, disregard the 'will close...' part, I only want to keep alive
this bug.


-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 iarly selbir 2009-03-09 21:13:05 EDT
Will or Richard, some feedback about this bug?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Richard Hughes 2009-03-10 04:58:38 EDT
I just need to add the code to get the list, although this might involve proxies so it's not trivial to add. This is still on the TODO.
Comment 8 Will Woods 2009-04-16 17:15:39 EDT
Looks like I'll need to keep shipping releases.list through F11? Moving to rawhide. 

Perhaps we can get yum to fetch this so it works through the same proxies etc. set up for for fetching other release/package metadata?
Comment 9 Bug Zapper 2009-06-09 05:50:53 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Matthias Clasen 2010-03-04 18:36:01 EST
I really don't think there is a lot of code to write here. Preupgrade simply does

        cp = ConfigParser.ConfigParser()
        if '://' in configfile:
            grabber = URLGrabber()
            grabber.opts.user_agent = __user_agent__
            configdata = grabber.urlopen(configfile)
        else:
            configdata = open(configfile)

where configFile gets set like this:

if os.path.exists("releases.txt"):
    releasesfn = "releases.txt"
elif os.path.exists("data/releases.txt"):
    releasesfn = "data/releases.txt"
else:
    releasesfn = "http://mirrors.fedoraproject.org/releases.txt"
Comment 11 Richard Hughes 2010-03-22 11:58:20 EDT
We're going to be doing this using zif in 0.6.3 which is released in a couple of weeks time.
Comment 12 Bug Zapper 2010-04-27 08:18:54 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Jens Petersen 2010-05-05 05:42:29 EDT
(In reply to comment #11)
> We're going to be doing this using zif in 0.6.3 which is released in a couple
> of weeks time.    

So it is fixed now for F13?  (I see PackageKit-0.6.3-1.fc13)
Comment 14 Bug Zapper 2010-11-04 07:42:45 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2010-12-05 02:06:32 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.